Loading...
Searching...
No Matches
juce::ResizableWindow::LookAndFeelMethods Struct Referenceabstract

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide window drawing functionality.

The documentation for this struct was generated from the following file:

- juce_gui_basics/windows/juce_ResizableWindow.h

Inheritance diagram for juce::ResizableWindow::LookAndFeelMethods:

## Public Member Functions

virtual | ~LookAndFeelMethods ()=default
virtual void | drawCornerResizer (Graphics &, int w, int h, bool isMouseOver, bool isMouseDragging)=0
virtual void | drawResizableFrame (Graphics &, int w, int h, const BorderSize< int > &)=0
virtual void | fillResizableWindowBackground (Graphics &, int w, int h, const BorderSize< int > &, ResizableWindow &)=0
virtual void | drawResizableWindowBorder (Graphics &, int w, int h, const BorderSize< int > &border, ResizableWindow &)=0

## Constructors and Destructors

## ~LookAndFeelMethods()

virtual juce::ResizableWindow::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |

virtual default

## Member Functions

## drawCornerResizer()

virtual void juce::ResizableWindow::LookAndFeelMethods::drawCornerResizer | ( | Graphics & | ,
|  | int | w,
|  | int | h,
|  | bool | isMouseOver,
|  | bool | isMouseDragging )

pure virtual

Implemented in juce::LookAndFeel_V1, and juce::LookAndFeel_V2.

References h, juce::Component::isMouseOver(), and w.

## drawResizableFrame()

virtual void juce::ResizableWindow::LookAndFeelMethods::drawResizableFrame | ( | Graphics & | ,
|  | int | w,
|  | int | h,
|  | const BorderSize< int > & | )

pure virtual

Implemented in juce::LookAndFeel_V2.

References h, and w.

## fillResizableWindowBackground()

virtual void juce::ResizableWindow::LookAndFeelMethods::fillResizableWindowBackground | ( | Graphics & | ,
|  | int | w,
|  | int | h,
|  | const BorderSize< int > & | ,
|  | ResizableWindow & | )

pure virtual

Implemented in juce::LookAndFeel_V2.

References h, juce::ResizableWindow::ResizableWindow(), and w.

## drawResizableWindowBorder()

virtual void juce::ResizableWindow::LookAndFeelMethods::drawResizableWindowBorder | ( | Graphics & | ,
|  | int | w,
|  | int | h,
|  | const BorderSize< int > & | border,
|  | ResizableWindow & | )

pure virtual

Implemented in juce::LookAndFeel_V2.

References h, juce::ResizableWindow::ResizableWindow(), and w.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited